Skip to main content
GET
/
api
/
v1
/
discovery
/
intents
List Discovery Intents
curl --request GET \
  --url https://api.example.com/api/v1/discovery/intents \
  --header 'Authorization: Bearer <token>'
[
  {
    "category": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "label": "<string>",
    "name": "<string>",
    "tool_binding": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "active": true,
    "description": "<string>",
    "is_seed": false,
    "min_permission": "<string>",
    "params_schema": {},
    "renderer": "table"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

category
string
required
created_at
string<date-time>
required
id
string
required
label
string
required
name
string
required
tool_binding
string
required
updated_at
string<date-time>
required
active
boolean
default:true
description
string | null
is_seed
boolean
default:false
min_permission
string | null
params_schema
Params Schema · object
renderer
string
default:table
Last modified on May 8, 2026